hpp-corbaserver: _objref_ConstraintSet Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_ConstraintSet Class Reference

`#include <hpp/core_idl/_constraints-idl.hh>`

Inheritance diagram for _objref_ConstraintSet:
[legend]
Collaboration diagram for _objref_ConstraintSet:
[legend]

## Public Member Functions
Constraint_ptr | getConfigProjector ()
void | addConstraint (::hpp::core_idl::Constraint_ptr a_constraint)
| _objref_ConstraintSet ()
| _objref_ConstraintSet (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_Constraint
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | apply (::hpp::floatSeq &config)
char * | name ()
char * | str ()
::CORBA::Boolean | isSatisfied (const ::hpp::floatSeq &config)
Constraint_ptr | copy ()
| _objref_Constraint ()
| _objref_Constraint (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_ConstraintSet ()
Protected Member Functions inherited from _objref_Constraint
virtual | ~_objref_Constraint ()

## Friends
class | ConstraintSet

## Constructor & Destructor Documentation

## ◆ _objref_ConstraintSet() [1/2]

_objref_ConstraintSet::_objref_ConstraintSet | ( |  | ) |
| inline

## ◆ _objref_ConstraintSet() [2/2]

_objref_ConstraintSet::_objref_ConstraintSet | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_ConstraintSet()

virtual _objref_ConstraintSet::~_objref_ConstraintSet | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ addConstraint()

void _objref_ConstraintSet::addConstraint | ( | ::hpp::core_idl::Constraint_ptr | a_constraint | ) |

## ◆ getConfigProjector()

Constraint_ptr _objref_ConstraintSet::getConfigProjector | ( |  | ) |

## Friends And Related Function Documentation

## ◆ ConstraintSet

friend class ConstraintSet
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/_constraints-idl.hh